<template>
  <div class="real-time-module">
    <div class="title">实时抓拍预警</div>
    <div class="real-time-list">
      <div
        class="real-time-item"
        v-for="(item, index) in boundArr"
        :key="index"
      >
        <img
          :src="'http://192.168.8.10:9000' + item.snap_shot"
          alt=""
          class="warnArea"
        />
        <warnDescription
          :warnDes="{
            code: item.device_sn,
            time: item.updated_at,
            longitude: item.lng,
            latitude: item.lat,
            warn: '未在电子围栏区域',
          }"
        />
      </div>
    </div>
  </div>
</template>

<script>
import warnDescription from "@/pages/internetEquipment/components/warnDescription";
export default {
  props: {
    boundArr: {
      type: Array,
    },
  },
  components: {
    warnDescription,
  },
};
</script>

<style scoped lang="scss">
.real-time-module {
  padding: 20px;
  width: 570px;
  height: 292px;
  background-color: #fff;
  box-shadow: 0px 2px 10px rgba(141, 164, 187, 0.25);
  border-radius: 15px;
  overflow-y: scroll;

  .real-time-list {
    display: grid;
    justify-content: space-between;
    grid-template-columns: repeat(auto-fill, 170px);
    grid-gap: 10px;
  }

  .title {
    margin-bottom: 10px;
    font-size: 14px;
    font-weight: 700;
    width: 100%;
    text-align: left;
  }

  .real-time-item {
    margin-right: 10px;
  }

  .real-time-item:last-child {
    margin-right: auto;
  }

  .warnArea {
    width: 167px;
    height: 104px;
    border-radius: 5px;
  }
}
</style>